package com.ruoyi.school.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.school.domain.req.SysGroupQueryReq;
import com.ruoyi.school.domain.req.SysGroupSaveReq;
import com.ruoyi.school.domain.req.SysGroupEditReq;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 小组管理对象 sys_group
 *
 * @author ruoyi
 * @date 2024-04-23
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_group")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SysGroup", description = "小组管理")
public class SysGroup extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 小组ID */
    @TableId(value = "group_id",type = IdType.AUTO)
    @ApiModelProperty(name = "小组ID", value = "小组ID")
    private Long groupId;

    /** 小组名称 */
    @Excel(name = "小组名称")
    @ApiModelProperty(name = "小组名称", value = "小组名称")
    private String groupName;

    /** 小组人数 */
    @Excel(name = "小组人数")
    @ApiModelProperty(name = "小组人数", value = "小组人数")
    private Long groupPeople;

    /** 小组人员 */
    @Excel(name = "小组人员")
    @ApiModelProperty(name = "小组人员", value = "小组人员")
    private String groupPersonnel;

    /** 班级ID */
    @Excel(name = "班级ID")
    @ApiModelProperty(name = "班级ID", value = "班级ID")
    private Long classId;

    /**
    * 查询构造器
    */
    public static SysGroup queryBuild( SysGroupQueryReq sysGroupQueryReq){
        return SysGroup.builder()
                .groupName(sysGroupQueryReq.getGroupName())
                .groupPeople(sysGroupQueryReq.getGroupPeople())
                .classId(sysGroupQueryReq.getClassId())
                .build();
    }

    /**
    * 添加构造器
    */
    public static SysGroup saveBuild(SysGroupSaveReq sysGroupSaveReq){
        return SysGroup.builder()
                .groupName(sysGroupSaveReq.getGroupName())
                .groupPeople(sysGroupSaveReq.getGroupPeople())
                .groupPersonnel(sysGroupSaveReq.getGroupPersonnel())
                .classId(sysGroupSaveReq.getClassId())
                .build();
    }

    /**
    * 修改构造器
    */
    public static SysGroup editBuild(Long groupId, SysGroupEditReq sysGroupEditReq){
        return SysGroup.builder()
            .groupId(groupId)
                .groupName(sysGroupEditReq.getGroupName())
                .groupPeople(sysGroupEditReq.getGroupPeople())
                .groupPersonnel(sysGroupEditReq.getGroupPersonnel())
                .classId(sysGroupEditReq.getClassId())
                .build();
    }

}
