package com.ruoyi.school.service.impl;

import java.util.List;

import com.ruoyi.common.utils.ObjUtils;
import com.ruoyi.common.utils.StringUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.ruoyi.school.mapper.SysClassMapper;
import com.ruoyi.school.domain.SysClass;
import com.ruoyi.school.service.SysClassService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 班级管理Service业务层处理
 *
 * @author ruoyi
 * @date 2024-04-23
 */
@Slf4j
@Service
public class SysClassServiceImpl extends ServiceImpl<SysClassMapper, SysClass>  implements SysClassService {

    /**
     * 查询班级管理列表
     *
     * @param sysClass 班级管理
     * @return 班级管理
     */
    @Override
    public List<SysClass> list(SysClass sysClass) {
        LambdaQueryWrapper<SysClass> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(sysClass.getClassName())){
            queryWrapper.like(SysClass::getClassName, sysClass.getClassName());
        }

        if (ObjUtils.notNull(sysClass.getClassState())){
            queryWrapper.eq(SysClass::getClassState, sysClass.getClassState());
        }




        return list(queryWrapper);
    }
}
