package com.ruoyi.school.service.impl;

import java.util.List;

import com.ruoyi.common.utils.ObjUtils;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.school.domain.req.SysGroupQueryReq;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.ruoyi.school.mapper.SysGroupMapper;
import com.ruoyi.school.domain.SysGroup;
import com.ruoyi.school.service.SysGroupService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 小组管理Service业务层处理
 *
 * @author ruoyi
 * @date 2024-04-23
 */
@Slf4j
@Service
public class SysGroupServiceImpl extends ServiceImpl<SysGroupMapper, SysGroup>  implements SysGroupService {

    /**
     * 查询小组管理列表
     *
     * @param sysGroupQueryReq 小组管理
     * @return 小组管理
     */
    @Override
    public List<SysGroup> list(SysGroupQueryReq sysGroupQueryReq) {
        LambdaQueryWrapper<SysGroup> queryWrapper = new LambdaQueryWrapper<>();

        if (ObjUtils.notNull(sysGroupQueryReq.getClassId())){
            queryWrapper.eq(SysGroup::getClassId, sysGroupQueryReq.getClassId());
        }
        return list(queryWrapper);
    }
}
